export interface Junior {
  id: string;
  fullName: string;
  relationship: string;
  profilePicture?: {
    id: string;
    name: string;
    extension: string;
    documentType: string;
    url: string;
  };
}

export interface CreateJuniorRequest {
  countryCode: string;
  phoneNumber: string;
  firstName: string;
  lastName: string;
  dateOfBirth: string;
  email: string;
  relationship: string;
  civilIdFrontId: string;
  civilIdBackId: string;
}

export interface JuniorTheme {
  color: string;
  avatarId: string;
}

export interface PaginatedResponse<T> {
  data: T[];
  meta: {
    page: number;
    size: number;
    itemCount: number;
    pageCount: number;
    hasPreviousPage: boolean;
    hasNextPage: boolean;
  };
}
