import { Junior } from './junior';

export interface Task {
  id: string;
  title: string;
  description: string;
  status: 'PENDING' | 'IN_PROGRESS' | 'COMPLETED';
  dueDate: string;
  rewardAmount: number;
  isProofRequired: boolean;
  submission?: {
    imageId?: string;
    submittedAt?: string;
    status?: 'PENDING' | 'APPROVED' | 'REJECTED';
  };
  junior: Junior;
  image?: {
    id: string;
    name: string;
    extension: string;
    documentType: string;
    url: string;
  };
  createdAt: string;
  updatedAt: string;
}

export interface CreateTaskRequest {
  title: string;
  description: string;
  dueDate: string;
  rewardAmount: number;
  isProofRequired: boolean;
  imageId?: string;
  juniorId: string;
}

export interface TaskSubmission {
  imageId: string;
}

export type TaskStatus = 'PENDING' | 'IN_PROGRESS' | 'COMPLETED';
