import { HttpModule } from '@nestjs/axios';
import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { JuniorModule } from '~/junior/junior.module';
import { UserModule } from '~/user/user.module';
import { AuthController } from './controllers';
import { AuthService, Oauth2Service } from './services';
import { AccessTokenStrategy } from './strategies';

@Module({
  imports: [JwtModule.register({}), UserModule, JuniorModule, HttpModule],
  providers: [AuthService, AccessTokenStrategy, Oauth2Service],
  controllers: [AuthController],
  exports: [],
})
export class AuthModule {}
