import { Global, Module } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { buildKeyvOptions } from '~/core/module-options';
import { CacheService } from './services';

@Module({
  providers: [
    {
      provide: 'CACHE_INSTANCE',
      useFactory: (config: ConfigService) => buildKeyvOptions(config),
      inject: [ConfigService],
    },
    CacheService,
  ],
  exports: ['CACHE_INSTANCE', CacheService],
})
@Global()
export class CacheModule {}
