import { ApiProperty } from '@nestjs/swagger';
import { IsEmail, IsOptional, IsString } from 'class-validator';

export class SendEmailRequestDto {
  @ApiProperty({ example: 'test@test.com' })
  @IsEmail()
  to!: string;

  @ApiProperty({ example: 'Test Subject' })
  @IsString()
  subject!: string;

  @ApiProperty({ example: 'test' })
  @IsString()
  template!: string;

  @ApiProperty({ example: { name: 'John Doe' } })
  @IsOptional()
  data!: Record<string, any>;
}
