import { ApiProperty } from '@nestjs/swagger';
import { Notification } from '../../entities';
import { INotificationPageMeta } from '../../interfaces';
import { NotificationMetaResponseDto } from './notifications-meta.response.dto';
import { NotificationsResponseDto } from './notifications.response.dto';

export class NotificationsPageResponseDto {
  @ApiProperty({ type: [NotificationsResponseDto] })
  data!: NotificationsResponseDto[];

  @ApiProperty({ type: NotificationMetaResponseDto })
  meta: INotificationPageMeta;

  constructor(data: Notification[], meta: INotificationPageMeta) {
    this.data = data.map((notification) => new NotificationsResponseDto(notification));
    this.meta = new NotificationMetaResponseDto(meta);
  }
}
