import { ApiProperty } from '@nestjs/swagger';
import { Notification } from '../../entities';
import { NotificationStatus } from '../../enums';

export class NotificationsResponseDto {
  @ApiProperty({ example: 'f1b1b9b1-1b1b-1b1b-1b1b-1b1b1b1b1b1b' })
  id!: string;

  @ApiProperty({ example: 'Test' })
  title: string;

  @ApiProperty({ example: 'TestBody' })
  body: string;

  @ApiProperty({ example: NotificationStatus.UNREAD })
  status!: NotificationStatus;

  @ApiProperty({ example: '2021-09-01T00:00:00.000Z' })
  createdAt!: Date;

  constructor(notification: Notification) {
    this.id = notification.id;
    this.title = notification.title;
    this.body = notification.message;
    this.status = notification.status!;
    this.createdAt = notification.createdAt;
  }
}
