import { Global, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { NotificationModule } from '../notification/notification.module';
import { Otp } from './entities';
import { OtpRepository } from './repositories';
import { OtpService } from './services/otp.service';

@Global()
@Module({
  providers: [OtpService, OtpRepository],
  exports: [OtpService],
  imports: [TypeOrmModule.forFeature([Otp]), NotificationModule],
})
export class OtpModule {}
