import { Injectable } from '@nestjs/common';
import { CacheService } from '~/common/modules/cache/services';

@Injectable()
export class BaseCronService {
  constructor(private readonly cacheService: CacheService) {}

  async acquireLock(key: string, ttl: number) {
    const lock = await this.cacheService.get(key);

    if (lock) {
      return false;
    }

    await this.cacheService.set(key, true, ttl);

    return true;
  }

  async releaseLock(key: string) {
    await this.cacheService.delete(key);
  }
}
