import { ApiPropertyOptional } from '@nestjs/swagger';
import { IsNotEmpty, IsOptional, IsString } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';

export class RejectCustomerKycRequestDto {
  @ApiPropertyOptional({ description: 'reason for rejecting the customer kyc' })
  @IsString({ message: i18n('validation.IsString', { path: 'general', property: 'customer.rejectionReason' }) })
  @IsNotEmpty({ message: i18n('validation.IsNotEmpty', { path: 'general', property: 'customer.rejectionReason' }) })
  @IsOptional({ message: i18n('validation.IsOptional', { path: 'general', property: 'customer.rejectionReason' }) })
  reason?: string;
}
