import { ApiProperty, PartialType } from '@nestjs/swagger';
import { IsOptional, IsUUID } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';
import { CreateCustomerRequestDto } from './create-customer.request.dto';
export class UpdateCustomerRequestDto extends PartialType(CreateCustomerRequestDto) {
  @ApiProperty({ example: '123e4567-e89b-12d3-a456-426614174000' })
  @IsUUID('4', { message: i18n('validation.IsUUID', { path: 'general', property: 'customer.profilePictureId' }) })
  @IsOptional()
  profilePictureId!: string;
}
