import { ApiProperty } from '@nestjs/swagger';
import { Customer } from '~/customer/entities';
import { CustomerStatus, KycStatus } from '~/customer/enums';

export class InternalCustomerListResponse {
  @ApiProperty()
  id!: string;

  @ApiProperty()
  fullName!: string;

  @ApiProperty()
  phoneNumber!: string;

  @ApiProperty()
  customerStatus!: CustomerStatus;

  @ApiProperty()
  kycStatus!: KycStatus;

  @ApiProperty()
  dateOfBirth!: Date;

  @ApiProperty()
  gender!: string;

  @ApiProperty()
  isJunior!: boolean;

  @ApiProperty()
  isGuardian!: boolean;

  constructor(customer: Customer) {
    this.id = customer.id;
    this.fullName = `${customer.firstName} ${customer.lastName}`;
    this.phoneNumber = customer.user?.fullPhoneNumber;
    this.customerStatus = customer.customerStatus;
    this.kycStatus = customer.kycStatus;
    this.dateOfBirth = customer.dateOfBirth;
    this.gender = customer.gender;
    this.isGuardian = customer.isGuardian;
    this.isJunior = customer.isJunior;
  }
}
