import { MigrationInterface, QueryRunner } from 'typeorm';

export class CreateCustomerNotificationsSettingsTable1733993920226 implements MigrationInterface {
  name = 'CreateCustomerNotificationsSettingsTable1733993920226';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `CREATE TABLE "cutsomer_notification_settings" 
      ("id" uuid NOT NULL DEFAULT uuid_generate_v4(), 
      "is_email_enabled" boolean NOT NULL DEFAULT false, 
      "is_push_enabled" boolean NOT NULL DEFAULT false, 
      "is_sms_enabled" boolean NOT NULL DEFAULT false, 
      "created_at" TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT now(), 
      "updated_at" TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT now(), 
      "customer_id" uuid, CONSTRAINT "REL_32f2b707407298a9eecd6cc7ea" UNIQUE ("customer_id"), 
      CONSTRAINT "PK_ea94fb22410c89ae6b37d63b0e3" PRIMARY KEY ("id"))`,
    );
    await queryRunner.query(
      `ALTER TABLE "cutsomer_notification_settings" ADD CONSTRAINT "FK_32f2b707407298a9eecd6cc7ea6" FOREIGN KEY ("customer_id") REFERENCES "customers"("id") ON DELETE CASCADE ON UPDATE NO ACTION`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "cutsomer_notification_settings" DROP CONSTRAINT "FK_32f2b707407298a9eecd6cc7ea6"`,
    );
    await queryRunner.query(`DROP TABLE "cutsomer_notification_settings"`);
  }
}
