import { MigrationInterface, QueryRunner } from 'typeorm';

export class CreateJuniorRegistrationTokenTable1734262619426 implements MigrationInterface {
  name = 'CreateJuniorRegistrationTokenTable1734262619426';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `CREATE TABLE "junior_registration_tokens" 
      ("id" uuid NOT NULL DEFAULT uuid_generate_v4(), 
      "token" character varying(255) NOT NULL, 
      "is_used" boolean NOT NULL DEFAULT false, 
      "expiry_date" TIMESTAMP NOT NULL, 
      "junior_id" uuid NOT NULL, 
      "updated_at" TIMESTAMP NOT NULL DEFAULT now(), 
      "created_at" TIMESTAMP NOT NULL DEFAULT now(), 
      CONSTRAINT "UQ_e6a3e23d5a63be76812dc5d7728" UNIQUE ("token"), 
      CONSTRAINT "PK_610992ebec8f664113ae48b946f" PRIMARY KEY ("id"))`,
    );
    await queryRunner.query(`CREATE INDEX "IDX_e6a3e23d5a63be76812dc5d772" ON "junior_registration_tokens" ("token") `);
    await queryRunner.query(
      `ALTER TABLE "junior_registration_tokens" ADD CONSTRAINT "FK_19c52317b5b7aeecc0a11789b53" FOREIGN KEY ("junior_id") REFERENCES "juniors"("id") ON DELETE NO ACTION ON UPDATE NO ACTION`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "junior_registration_tokens" DROP CONSTRAINT "FK_19c52317b5b7aeecc0a11789b53"`,
    );
    await queryRunner.query(`DROP INDEX "public"."IDX_e6a3e23d5a63be76812dc5d772"`);
    await queryRunner.query(`DROP TABLE "junior_registration_tokens"`);
  }
}
