import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddFlagsToUserEntity1736414850257 implements MigrationInterface {
  name = 'AddFlagsToUserEntity1736414850257';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "users" ADD "is_phone_verified" boolean NOT NULL DEFAULT false`);
    await queryRunner.query(`ALTER TABLE "users" ADD "is_email_verified" boolean NOT NULL DEFAULT false`);
    await queryRunner.query(`ALTER TABLE "users" ALTER COLUMN "phone_number" DROP NOT NULL`);
    await queryRunner.query(`ALTER TABLE "users" ALTER COLUMN "country_code" DROP NOT NULL`);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "users" ALTER COLUMN "country_code" SET NOT NULL`);
    await queryRunner.query(`ALTER TABLE "users" ALTER COLUMN "phone_number" SET NOT NULL`);
    await queryRunner.query(`ALTER TABLE "users" DROP COLUMN "is_email_verified"`);
    await queryRunner.query(`ALTER TABLE "users" DROP COLUMN "is_phone_verified"`);
  }
}
