import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddCreatedByToDocumentTable1736753223884 implements MigrationInterface {
  name = 'AddCreatedByToDocumentTable1736753223884';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "documents" ADD "created_by_id" uuid `);
    await queryRunner.query(
      `ALTER TABLE "documents" ADD CONSTRAINT "FK_7f46f4f77acde1dcedba64cb220" FOREIGN KEY ("created_by_id") REFERENCES "users"("id") ON DELETE SET NULL ON UPDATE NO ACTION`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "documents" DROP CONSTRAINT "FK_7f46f4f77acde1dcedba64cb220"`);
    await queryRunner.query(`ALTER TABLE "documents" DROP COLUMN "created_by_id"`);
  }
}
