import { Global, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { DocumentController } from './controllers';
import { Document } from './entities';
import { DocumentRepository } from './repositories';
import { DocumentService, OciService } from './services';

@Global()
@Module({
  imports: [TypeOrmModule.forFeature([Document])],
  controllers: [DocumentController],
  providers: [DocumentService, OciService, DocumentRepository],
  exports: [DocumentService, OciService],
})
export class DocumentModule {}
