import { ApiProperty } from '@nestjs/swagger';
import { Document } from '~/document/entities';
import { DocumentType } from '~/document/enums';

export class DocumentMetaResponseDto {
  @ApiProperty()
  id!: string;

  @ApiProperty()
  name!: string;

  @ApiProperty()
  extension!: string;

  @ApiProperty()
  documentType!: DocumentType;

  @ApiProperty({ type: String })
  url!: string | null;

  constructor(document: Document) {
    this.id = document.id;
    this.name = document.name;
    this.extension = document.extension;
    this.documentType = document.documentType;
    this.url = document.url || null;
  }
}
