import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { FindOptionsWhere, Repository } from 'typeorm';
import { UploadResponseDto } from '../dtos/response';
import { Document } from '../entities';

@Injectable()
export class DocumentRepository {
  constructor(@InjectRepository(Document) private documentRepository: Repository<Document>) {}

  createDocument(userId: string, document: UploadResponseDto) {
    return this.documentRepository.save(
      this.documentRepository.create({
        name: document.name,
        documentType: document.documentType,
        extension: document.extension,
        createdById: userId,
      }),
    );
  }

  findDocuments(where: FindOptionsWhere<Document>) {
    return this.documentRepository.find({ where });
  }

  findDocumentById(id: string) {
    return this.documentRepository.findOne({ where: { id } });
  }
}
