import { ApiProperty } from '@nestjs/swagger';
import { IsEnum } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';
import { PageOptionsRequestDto } from '~/core/dtos';
import { GiftStatus } from '~/gift/enums';
export class GiftFiltersRequestDto extends PageOptionsRequestDto {
  @ApiProperty({ enum: GiftStatus })
  @IsEnum(GiftStatus, { message: i18n('validation.IsEnum', { path: 'general', property: 'gift.status' }) })
  status!: GiftStatus;
}
