import { ApiProperty } from '@nestjs/swagger';
import { Gift } from '~/gift/entities';
import { GiftColor, GiftStatus } from '~/gift/enums';

export class GiftListResponseDto {
  @ApiProperty({ example: 'f7b9b1b0-0b3b-4b3b-8b3b-0b3b4b3b8b3b' })
  id!: string;

  @ApiProperty({ example: 'Happy Birthday' })
  name!: string;

  @ApiProperty({ example: '242' })
  amount!: number;

  @ApiProperty({ example: GiftStatus.AVAILABLE })
  status!: GiftStatus;

  @ApiProperty({ example: GiftColor.GREEN })
  color!: GiftColor;

  @ApiProperty({ example: '2022-01-01T00:00:00.000Z' })
  createdAt!: Date;

  constructor(gift: Gift) {
    this.id = gift.id;
    this.name = gift.name;
    this.amount = gift.amount;
    this.status = gift.status;
    this.color = gift.color;
    this.createdAt = gift.createdAt;
  }
}
