import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JuniorModule } from '~/junior/junior.module';
import { GiftsController } from './controllers';
import { Gift, GiftRedemption, GiftReply } from './entities';
import { GiftsRepository } from './repositories';
import { GiftsService } from './services';

@Module({
  imports: [TypeOrmModule.forFeature([Gift, GiftReply, GiftRedemption]), JuniorModule],
  controllers: [GiftsController],
  providers: [GiftsService, GiftsRepository],
})
export class GiftModule {}
