import { ApiProperty } from '@nestjs/swagger';
import { IsEnum, IsUUID } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';
import { ThemeColor } from '~/junior/enums';

export class SetThemeRequestDto {
  @ApiProperty({ example: ThemeColor.VIOLET })
  @IsEnum(ThemeColor, { message: i18n('validation.IsEnum', { path: 'general', property: 'junior.color' }) })
  color!: ThemeColor;

  @ApiProperty({ example: 'fbfre-4f4f-4f4f-4f4f' })
  @IsUUID('4', { message: i18n('validation.IsUUID', { path: 'general', property: 'junior.avatarId' }) })
  avatarId!: string;
}
