import { ApiProperty } from '@nestjs/swagger';
import { DocumentMetaResponseDto } from '~/document/dtos/response';
import { Junior } from '~/junior/entities';
import { Relationship } from '~/junior/enums';

export class JuniorResponseDto {
  @ApiProperty({ example: 'id' })
  id!: string;

  @ApiProperty({ example: 'fullName' })
  fullName!: string;

  @ApiProperty({ example: 'relationship' })
  relationship!: Relationship;

  @ApiProperty({ type: DocumentMetaResponseDto })
  profilePicture!: DocumentMetaResponseDto | null;

  constructor(junior: Junior) {
    this.id = junior.id;
    this.fullName = `${junior.customer.firstName} ${junior.customer.lastName}`;
    this.relationship = junior.relationship;
    this.profilePicture = junior.customer.profilePicture
      ? new DocumentMetaResponseDto(junior.customer.profilePicture)
      : null;
  }
}
