import { HttpModule } from '@nestjs/axios';
import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CustomerModule } from '~/customer/customer.module';
import { UserModule } from '~/user/user.module';
import { JuniorController } from './controllers';
import { Junior, Theme } from './entities';
import { JuniorRepository } from './repositories';
import { BranchIoService, JuniorService, QrcodeService } from './services';

@Module({
  controllers: [JuniorController],
  providers: [JuniorService, JuniorRepository, QrcodeService, BranchIoService],
  imports: [TypeOrmModule.forFeature([Junior, Theme]), UserModule, CustomerModule, HttpModule],
  exports: [JuniorService],
})
export class JuniorModule {}
