import { ApiProperty } from '@nestjs/swagger';
import { Category } from '~/saving-goals/entities';
import { CategoryResponseDto } from './category-response.dto';

export class CategoriesListResponseDto {
  @ApiProperty({ type: CategoryResponseDto, isArray: true })
  globalCategories!: CategoryResponseDto[];

  @ApiProperty({ type: CategoryResponseDto, isArray: true })
  customCategories!: CategoryResponseDto[];

  constructor(data: { globalCategories: Category[]; customCategories: Category[] }) {
    this.globalCategories = data.globalCategories.map((category) => new CategoryResponseDto(category));
    this.customCategories = data.customCategories.map((category) => new CategoryResponseDto(category));
  }
}
