import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';

export class SetInternalPasswordRequestDto {
  @ApiProperty()
  @IsString({ message: i18n('validation.IsNumberString', { path: 'general', property: 'auth.token' }) })
  @IsNotEmpty({ message: i18n('validation.IsNotEmpty', { path: 'general', property: 'auth.token' }) })
  token!: string;

  @ApiProperty()
  @IsString({ message: i18n('validation.IsString', { path: 'general', property: 'auth.password' }) })
  @IsNotEmpty({ message: i18n('validation.IsNotEmpty', { path: 'general', property: 'auth.password' }) })
  password!: string;
}
