import { ApiProperty, ApiPropertyOptional } from '@nestjs/swagger';
import { IsBoolean, IsOptional, IsString, ValidateIf } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';
export class UpdateNotificationsSettingsRequestDto {
  @ApiProperty()
  @IsBoolean({ message: i18n('validation.IsBoolean', { path: 'general', property: 'customer.isEmailEnabled' }) })
  @IsOptional()
  isEmailEnabled!: boolean;

  @ApiProperty()
  @IsBoolean({ message: i18n('validation.IsBoolean', { path: 'general', property: 'customer.isPushEnabled' }) })
  @IsOptional()
  isPushEnabled!: boolean;

  @ApiProperty()
  @IsBoolean({ message: i18n('validation.IsBoolean', { path: 'general', property: 'customer.isSmsEnabled' }) })
  @IsOptional()
  isSmsEnabled!: boolean;

  @ApiPropertyOptional()
  @IsString({ message: i18n('validation.IsString', { path: 'general', property: 'auth.fcmToken' }) })
  @ValidateIf((o) => o.isPushEnabled)
  fcmToken?: string;
}
